Type.registerNamespace("Telerik.Web.UI.Spell");
Telerik.Web.UI.Spell.SpellDialog=function(_1){
Telerik.Web.UI.Spell.SpellDialog.initializeBase(this,[_1]);
this._clientParameters=null;
this._spell=null;
this._modeChangedHandler=null;
this._suggestionsDblClickHandler=null;
this._localization={};
this._spellProcessor=null;
this._contentDisplay=null;
this._serviceConfiguration=null;
this._serviceUrl=null;
this._windowClosingDelegate=null;
};
Telerik.Web.UI.Spell.SpellDialog.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"initialize");
this.initChildControls();
},dispose:function(){
if(this._contentDisplay){
this._contentDisplay.remove_modeChanged(this._modeChangedHandler);
this._modeChangedHandler=null;
this._contentDisplay.remove_suggestionsDblClick(this._suggestionsDblClickHandler);
this._suggestionsDblClickHandler=null;
}
this._windowClosingDelegate=null;
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"dispose");
},clientInit:function(_2){
this._suggestions.disabled=false;
this._suggestions.options.length=0;
this._suggestions.focus();
this._suggestions.disabled=true;
this.enableButton(this._cancel);
this.findChildElement("_TextContainer").innerHTML="";
this._clientParameters=_2;
this._spell=this._clientParameters.spell;
this._textSource=this._clientParameters.textSource;
if(!this._textSource||!this._textSource.get_text){
alert("This textsource does not support the get_text() method.");
return;
}
var _3=Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference();
this._windowClosingDelegate=_3.BrowserWindow.Function.createDelegate(this,new _3.BrowserWindow.Function("sender","args","this.prepareClose();"));
_3.add_close(this._windowClosingDelegate);
this._textToCheck=this.escapeNewLines(this._textSource.get_text());
var _4=this;
if(this._clientParameters.dictionaryLanguage){
this.get_service().set_language(this._clientParameters.dictionaryLanguage);
}
this.get_service().spellCheck(this._textToCheck);
},initChildControls:function(){
this._suggestions=this.findChildElement("_Suggestions");
this._ignore=this.getConfiguredButton("_Ignore",this.ignoreHandler);
this._ignoreAll=this.getConfiguredButton("_IgnoreAll",this.ignoreAllHandler);
this._addCustom=this.getConfiguredButton("_AddCustom",this.addCustomHandler);
this._change=this.getConfiguredButton("_Change",this.changeHandler);
this._changeAll=this.getConfiguredButton("_ChangeAll",this.changeAllHandler);
this._undo=this.getConfiguredButton("_Undo",this.undoHandler);
this._cancel=this.getConfiguredButton("_Cancel",this.cancelHandler);
},ignoreHandler:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}else{
this._spellProcessor.ignore();
this.raiseOnClientWordIgnoredEvent(false);
this.moveForward();
}
},ignoreAllHandler:function(){
if(this._ignoreAll.disabled){
return;
}
this._spellProcessor.ignoreAll();
this.raiseOnClientWordIgnoredEvent(true);
this.moveForward();
},addCustomHandler:function(){
if(this._addCustom.disabled){
return;
}
var _5=this._spellProcessor.currentBadWord().wordString;
if(!confirm(this.get_localization()["AddWord1"]+_5+this.get_localization()["AddWord2"])){
return;
}
this.disableAllButtons();
var _6=this;
this.get_service().addCustomWord(_5);
},changeHandler:function(){
if(this._change.disabled){
return;
}
this.changeCurrentWord(this._contentDisplay.replacementWord());
},changeAllHandler:function(){
if(this._changeAll.disabled){
return;
}
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.changeAll(this._contentDisplay.replacementWord());
this.raiseOnClientWordCorrectedEvent(true);
this.moveForward();
},undoHandler:function(){
if(this._undo.disabled){
return;
}
var _7=this._spellProcessor.lastActionBadWordStartCharOffsets();
this._spellProcessor.undo();
this.raiseOnClientActionUndoneEvent(_7);
this.processCurrentStep();
},cancelHandler:function(){
if(this._cancel.disabled){
return;
}
this.closeDialog(this._spellProcessor&&this._spellProcessor.textChanged()&&confirm(this.get_localization()["Confirm"]));
},disableButton:function(_8){
_8.disabled=true;
_8.className="buttonDisabled";
},enableButton:function(_9){
_9.disabled=false;
_9.className="button";
},setButtonEnabled:function(_a,_b){
if(_b){
this.enableButton(_a);
}else{
this.disableButton(_a);
}
},getConfiguredButton:function(_c,_d){
var _e=this.findChildElement(_c);
if(_e){
$addHandlers(_e,{click:_d},this);
_e.disabled=true;
}
return _e;
},findChildElement:function(_f){
return $get(this.get_id()+_f);
},get_service:function(){
if(this._service==null){
this._service=$create(Telerik.Web.UI.SpellCheckService,null,null,null);
this._service.set_configuration(this.get_serviceConfiguration());
this._service.set_url(this.get_serviceUrl());
this._service.add_complete(Function.createDelegate(this,this.spellCheckResponseReceived));
}
return this._service;
},changeCurrentWord:function(_10){
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.change(_10);
this.raiseOnClientWordCorrectedEvent(false);
this.moveForward();
},moveForward:function(){
this._spellProcessor.moveToNextWord();
this.processCurrentStep();
},processCurrentStep:function(){
if(!this._spellProcessor.allWordsFixed()){
this.updateContent();
}else{
this.closeDialog(true);
}
},prepareClose:function(_11){
if(null!=this._windowClosingDelegate){
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().remove_close(this._windowClosingDelegate);
this._windowClosingDelegate=null;
}
this.disableAllButtons();
this.raiseDialogClosingEvents();
if(this._spellProcessor){
if(this._spellProcessor.allWordsFixed()){
this._spell.set_spellChecked(true);
}
if(_11){
this.applyChanges();
}
this._spellProcessor=null;
}
},closeDialog:function(_12){
this.prepareClose(_12);
this._spell.raiseEvent("clientDialogClosing",Sys.EventArgs.Empty);
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().close();
},spellCheckResponseReceived:function(_13,_14){
if(_14.AddCustomWord){
var _15=this._spellProcessor.currentBadWord().wordString;
this._spellProcessor.processCustomWordAddition();
this.raiseOnClientCustomWordAddedEvent(_15);
this.processCurrentStep();
this.enableButton(this._cancel);
}else{
var _16={textToCheck:this._textToCheck,badWords:_14.badWords,wordOffsets:_14.wordOffsets};
this._spellProcessor=$create(Telerik.Web.UI.Spell.SpellProcessor,_16,null,null);
if(!this._spellProcessor.allWordsFixed()){
this.initContentDisplay();
this.updateContent();
}else{
this.closeDialog(true);
}
}
},escapeNewLines:function(_17){
var _18=_17.replace(/\n/gi,"&nbsp;<telerikcr />");
_18=_18.replace(/\r/gi,"<teleriklf />");
return _18;
},unEscapeNewLines:function(_19){
var _1a=_19.replace(/(&nbsp;)?<telerikcr\s*\/>/gi,"\n");
var _1a=_1a.replace(/<teleriklf\s*\/>/gi,"\r");
return _1a;
},updateContent:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}
this._contentDisplay.showText(this._spellProcessor.currentErrorContent());
this.focusCurrentError();
this._contentDisplay.fillSuggestions(this._spellProcessor.currentSuggestions());
this.updateButtonStates();
},focusCurrentError:function(){
var _1b=document.getElementById(this._spellProcessor.highlightedElementId());
if(_1b&&!this._contentDisplay.get_editMode()){
this._contentDisplay.get_textContainer().scrollTop=_1b.offsetTop;
_1b.focus();
}
},disableAllButtons:function(){
this.disableButton(this._ignore);
this.disableButton(this._ignoreAll);
this.disableButton(this._change);
this.disableButton(this._changeAll);
this.disableButton(this._undo);
this.disableButton(this._cancel);
if(this._addCustom){
this.disableButton(this._addCustom);
}
},initContentDisplay:function(){
this._modeChangedHandler=Function.createDelegate(this,this.contentDisplay_modeChanged);
this._suggestionsDblClickHandler=Function.createDelegate(this,this.contentDisplay_suggestionsDblClick);
var _1c={localization:this.get_localization(),textContainer:this.findChildElement("_TextContainer"),textEditor:this.findChildElement("_TextEditor"),suggestions:this._suggestions};
var _1d={modeChanged:this._modeChangedHandler,suggestionsDblClick:this._suggestionsDblClickHandler};
if(!this._contentDisplay){
this._contentDisplay=$create(Telerik.Web.UI.Spell.ContentDisplay,_1c,_1d,null);
}
this._contentDisplay.focus();
},updateButtonStates:function(){
var _1e=this._spellProcessor.currentSuggestions().length>0;
this.enableButton(this._ignore);
this.setButtonEnabled(this._ignoreAll,!this._contentDisplay.get_editMode());
this.setButtonEnabled(this._undo,this._spellProcessor.currentUndoAction()!=null);
this.setButtonEnabled(this._change,this._contentDisplay.get_editMode()||_1e);
this.setButtonEnabled(this._changeAll,!this._contentDisplay.get_editMode()&&_1e);
if(this._addCustom!=null){
this.setButtonEnabled(this._addCustom,!this._contentDisplay.get_editMode());
}
this._ignore.innerHTML=this._contentDisplay.get_editMode()?this.get_localization()["UndoEdit"]:this.get_localization()["Ignore"];
},contentDisplay_modeChanged:function(_1f,_20){
var _21="";
if(_20.editMode){
_21=this._spellProcessor.currentBadWord().wordString;
}else{
_21=this._spellProcessor.currentErrorContent();
}
this.updateButtonStates();
this._contentDisplay.showText(_21);
this.focusCurrentError();
},contentDisplay_suggestionsDblClick:function(_22,_23){
if(this._spellProcessor.currentSuggestions().length>0){
this.changeCurrentWord(_23.selectedValue);
}else{
alert(this.get_localization()["Nosuggestions"]);
}
},applyChanges:function(){
this._textSource.set_text(this.unEscapeNewLines(this._spellProcessor._textToCheck));
},raiseDialogClosingEvents:function(){
if(this._spellProcessor&&this._spellProcessor.allWordsFixed()){
var _24={suppressCompleteMessage:false};
this._spell.raiseEvent("clientCheckFinished",_24);
if(!_24.suppressCompleteMessage){
alert(this.get_localization()["SpellCheckComplete"]);
}
}else{
this._spell.raiseEvent("clientCheckCancelled",Sys.EventArgs.Empty);
}
},raiseOnClientWordCorrectedEvent:function(_25){
var _26=this._spellProcessor.currentBadWord();
var _27={originalWord:_26.originalWordString,newWord:_26.wordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),changeAll:_25};
this._spell.raiseEvent("clientWordCorrected",_27);
},raiseOnClientWordIgnoredEvent:function(_28){
var _29=this._spellProcessor.currentBadWord();
var _2a={ignoreWord:_29.originalWordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),ignoreAll:_28};
this._spell.raiseEvent("clientWordIgnored",_2a);
},raiseOnClientActionUndoneEvent:function(_2b){
var _2c=this._spellProcessor.currentBadWord();
var _2d={originalWord:_2c.originalWordString,offsets:_2b};
this._spell.raiseEvent("clientActionUndone",_2d);
},raiseOnClientCustomWordAddedEvent:function(_2e){
var _2f={customWord:_2e};
this._spell.raiseEvent("clientCustomWordAdded",_2f);
},get_language:function(){
return this._language;
},set_language:function(_30){
this._language=_30;
},get_localization:function(){
return this._localization;
},set_localization:function(_31){
this._localization=_31;
},get_serviceUrl:function(){
return this._serviceUrl;
},set_serviceUrl:function(_32){
this._serviceUrl=_32;
},get_serviceConfiguration:function(){
return this._serviceConfiguration;
},set_serviceConfiguration:function(_33){
this._serviceConfiguration=_33;
}};
Telerik.Web.UI.Spell.SpellDialog.registerClass("Telerik.Web.UI.Spell.SpellDialog",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Telerik.Web.UI.Spell.SpellProcessorActions=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.Spell.SpellProcessorActions.prototype={Change:0,ChangeAll:1,Ignore:2,IgnoreAll:4,AddCustom:8};
Telerik.Web.UI.Spell.SpellProcessorActions.registerEnum("Telerik.Web.UI.Spell.SpellProcessorActions",false);
Telerik.Web.UI.Spell.SpellProcessor=function(){
Telerik.Web.UI.Spell.SpellProcessor.initializeBase(this);
this._textToCheck=null;
this._badWords=null;
this._wordOffsets=null;
this._currentBadWordIndex=0;
this._undoActions=[];
this._surroundingWordsCount=10;
};
Telerik.Web.UI.Spell.SpellProcessor.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"dispose");
},moveToNextWord:function(){
var _34=this.nextBadWordIndex();
if(_34<0){
return;
}
this.set_currentBadWordIndex(_34);
},moveToPreviousWord:function(){
this.set_currentBadWordIndex(this.nextBadWordIndex(0));
},nextBadWordIndex:function(_35){
if(typeof (_35)=="undefined"){
_35=this.get_currentBadWordIndex();
}
for(var i=_35;i<this._badWords.length;i++){
if(this.getBadWord(i).originalWordString==null){
return i;
}
}
return -1;
},allWordsFixed:function(){
return this.nextBadWordIndex()<0;
},currentErrorContent:function(){
var _37=this.currentBadWord();
return this.startString(this.get_currentBadWordIndex(),true)+"<a style='border-bottom: 1px dotted red;font-weight: bold;' id="+this.highlightedElementId()+">"+_37.wordString+"</a>"+this.endString(this.get_currentBadWordIndex(),true);
},highlightedElementId:function(){
return "spell_highlight_"+this.currentBadWord().wordString;
},startString:function(_38,_39){
var _3a=0;
var _3b=this.getBadWord(_38);
if(_39&&(_3b.textOffset>this._surroundingWordsCount)){
var _3c=_3b.textOffset-this._surroundingWordsCount;
_3a=this._wordOffsets[_3c];
}
return this._textToCheck.substring(_3a,this.wordStartCharIndex(_38));
},endString:function(_3d,_3e){
var _3f=this._textToCheck.length;
var _40=this.getBadWord(_3d);
if(_3e&&(this._wordOffsets.length>_40.textOffset+this._surroundingWordsCount)){
var _41=_40.textOffset+this._surroundingWordsCount;
_3f=this._wordOffsets[_41];
}
return this._textToCheck.substring(this.wordEndCharIndex(_3d),_3f);
},wordStartCharIndex:function(_42){
return this._wordOffsets[this.wordOffset(_42)];
},wordEndCharIndex:function(_43){
return this.wordStartCharIndex(_43)+this.getBadWord(_43).wordString.length;
},getBadWord:function(_44){
return this._badWords[_44];
},currentBadWord:function(){
return this.getBadWord(this.get_currentBadWordIndex());
},wordOffset:function(_45){
return this.getBadWord(_45).textOffset;
},currentWordOffset:function(){
return this.currentBadWord().textOffset;
},currentSuggestions:function(){
return this.currentBadWord().suggestionsString;
},ignore:function(){
this.changeWord(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.Ignore);
},ignoreAll:function(){
this.changeAllWords(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.IgnoreAll);
},change:function(_46){
this.changeWord(_46,Telerik.Web.UI.Spell.SpellProcessorActions.Change);
},changeAll:function(_47){
this.changeAllWords(_47,Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll);
},processCustomWordAddition:function(){
var _48=this.sameWordStringBadWordIndexes();
for(var i=_48.length-1;i>=0;i--){
var _4a=_48[i];
this._badWords.splice(_4a,1);
}
this.moveToNextWord();
},changeWord:function(_4b,_4c){
var _4d=[this.get_currentBadWordIndex()];
this.processChange(_4d,_4b,false,_4c);
this.registerUndoStep(_4d);
},changeAllWords:function(_4e,_4f){
var _50=this.sameWordStringBadWordIndexes();
this.processChange(_50,_4e,false,_4f);
this.registerUndoStep(_50);
},changeText:function(_51,_52){
this._textToCheck=this.startString(_51,false)+_52+this.endString(_51,false);
},offsetsByBadWordIndexes:function(_53){
var _54=[];
for(var i=0;i<_53.length;i++){
_54[_54.length]=this.wordOffset(_53[i]);
}
return _54;
},lastActionBadWordOffsets:function(){
var _56=this.currentUndoAction();
return this.offsetsByBadWordIndexes(_56);
},lastActionBadWordStartCharOffsets:function(){
var _57=[];
var _58=this.lastActionBadWordOffsets();
for(var i=0;i<_58.length;i++){
_57[_57.length]=this._wordOffsets[_58[i]];
}
return _57;
},sameWordStringBadWordIndexes:function(){
var _5a=this.currentBadWord().wordString;
var _5b=[this.get_currentBadWordIndex()];
for(var _5c=this.get_currentBadWordIndex()+1;_5c<this._badWords.length;_5c++){
if(this.getBadWord(_5c).wordString==_5a){
_5b[_5b.length]=_5c;
}
}
return _5b;
},undo:function(){
var _5d=this.currentUndoAction();
var _5e=this.getBadWord(_5d[0]).originalWordString;
this.processChange(_5d,_5e,true);
this.unregisterUndoStep();
this.moveToPreviousWord();
},correctWord:function(_5f,_60,_61){
if(this.getBadWord(_5f).originalWordString){
return;
}
var _62=this.getBadWord(_5f);
_62.originalWordString=_62.wordString;
_62.wordString=_60;
_62.correctionAction=_61;
},restoreWord:function(_63){
var _64=this.getBadWord(_63);
_64.wordString=_64.originalWordString;
_64.originalWordString=null;
_64.correctionAction=null;
},processChange:function(_65,_66,_67,_68){
for(var i=0;i<_65.length;i++){
var _6a=_65[i];
var _6b=this.getBadWord(_6a);
var _6c=_66.length-_6b.wordString.length;
this.adjustOffsetsAfterChangedWord(_6b,_6c);
this.changeText(_6a,_66);
if(_67){
this.restoreWord(_6a);
}else{
this.correctWord(_6a,_66,_68);
}
}
},adjustOffsetsAfterChangedWord:function(_6d,_6e){
for(var _6f=_6d.textOffset+1;_6f<this._wordOffsets.length;_6f++){
this._wordOffsets[_6f]+=_6e;
}
},currentUndoAction:function(){
if(this._undoActions.length==0){
return null;
}
return this._undoActions[this._undoActions.length-1];
},registerUndoStep:function(_70){
this._undoActions[this._undoActions.length]=_70;
},unregisterUndoStep:function(){
this._undoActions=this._undoActions.slice(0,-1);
},textChanged:function(){
for(var i=0;i<this.get_currentBadWordIndex();i++){
var _72=this.getBadWord(i).correctionAction;
if(_72==Telerik.Web.UI.Spell.SpellProcessorActions.Change||_72==Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll){
return true;
}
}
return false;
},get_currentBadWordIndex:function(){
return this._currentBadWordIndex;
},set_currentBadWordIndex:function(_73){
this._currentBadWordIndex=_73;
},get_textToCheck:function(){
return this._textToCheck;
},set_textToCheck:function(_74){
this._textToCheck=_74;
},get_badWords:function(){
return this._badWords;
},set_badWords:function(_75){
this._badWords=_75;
},get_wordOffsets:function(){
return this._wordOffsets;
},set_wordOffsets:function(_76){
this._wordOffsets=_76;
}};
Telerik.Web.UI.Spell.SpellProcessor.registerClass("Telerik.Web.UI.Spell.SpellProcessor",Sys.Component);
Telerik.Web.UI.Spell.ContentDisplay=function(){
Telerik.Web.UI.Spell.ContentDisplay.initializeBase(this);
this._editMode=false;
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
};
Telerik.Web.UI.Spell.ContentDisplay.prototype={initialize:function(){
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"initialize");
$addHandlers(this.get_textContainer(),{click:this.switchMode},this);
this.get_suggestions().disabled=false;
$addHandlers(this.get_suggestions(),{dblclick:this.suggestionsDblClick},this);
},dispose:function(){
$clearHandlers(this.get_suggestions());
$clearHandlers(this.get_textContainer());
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"dispose");
},showText:function(_77){
if(this.get_editMode()){
this.get_textEditor().value=_77;
}else{
this.get_textContainer().innerHTML=_77;
}
},focus:function(){
if(this.get_editMode()){
this.get_textEditor().focus();
}else{
if(this.get_suggestions().disabled){
this.get_suggestions().disabled=false;
}
this.get_suggestions().focus();
}
},switchMode:function(){
this.set_editMode(!this.get_editMode());
if(this.get_editMode()){
this.get_textContainer().style.display="none";
this.get_textEditor().style.display="block";
this.get_textEditor().focus();
this.get_suggestions().disabled=true;
}else{
this.get_textContainer().style.display="";
this.get_textEditor().style.display="none";
this.get_suggestions().disabled=false;
}
this.raiseEvent("modeChanged",{editMode:this.get_editMode()});
this.focus();
},replacementWord:function(){
if(this.get_editMode()){
return this.get_textEditor().value;
}else{
return this.selectedSuggestion();
}
},selectedSuggestion:function(){
return this.get_suggestions().options[this.get_suggestions().selectedIndex].value;
},fillSuggestions:function(_78){
this.clearSuggestions();
if(_78.length>0){
for(var i=0;i<_78.length;i++){
this.addSuggestion(_78[i]);
}
}else{
this.addSuggestion(this.get_localization()["Nosuggestions"]);
}
this.get_suggestions().selectedIndex=0;
},clearSuggestions:function(){
this.get_suggestions().options.length=0;
},addSuggestion:function(_7a){
this.get_suggestions().options[this.get_suggestions().options.length]=new Option(_7a,_7a);
},suggestionsDblClick:function(){
this.raiseEvent("suggestionsDblClick",{selectedValue:this.selectedSuggestion()});
},raiseEvent:function(_7b,_7c){
var _7d=this.get_events().getHandler(_7b);
if(_7d){
if(!_7c){
_7c=Sys.EventArgs.Empty;
}
_7d(this,_7c);
}
},add_modeChanged:function(_7e){
this.get_events().addHandler("modeChanged",_7e);
},remove_modeChanged:function(_7f){
this.get_events().removeHandler("modeChanged",_7f);
},add_suggestionsDblClick:function(_80){
this.get_events().addHandler("suggestionsDblClick",_80);
},remove_suggestionsDblClick:function(_81){
this.get_events().removeHandler("suggestionsDblClick",_81);
},set_localization:function(_82){
this._localization=_82;
},get_localization:function(){
return this._localization;
},set_suggestions:function(_83){
this._suggestions=_83;
},get_suggestions:function(){
return this._suggestions;
},set_textContainer:function(_84){
this._textContainer=_84;
},get_textContainer:function(){
return this._textContainer;
},set_editMode:function(_85){
this._editMode=_85;
},get_editMode:function(){
return this._editMode;
},set_textEditor:function(_86){
this._textEditor=_86;
},get_textEditor:function(){
return this._textEditor;
}};
Telerik.Web.UI.Spell.ContentDisplay.registerClass("Telerik.Web.UI.Spell.ContentDisplay",Sys.Component);

